## Methode com.sap.dbtech.powertoys.DBM.dbDBM

### Verwendung

Um in einer Java-Anwendung DBM-Kommandos ausführen zu können, verbinden Sie die Java-Anwendung zunächst über den Database Manager mit einer Datenbankinstanz. Hierzu verwenden Sie die Methode com.sap.dbtech.powertoys.DBM.dbDBM.

Um eine neue Datenbankinstanz anzulegen, stellen Sie die Verbindung zur Datenbankinstanz mit der Methode com.sap.dbtech.powertoys.DBM.dbrootDBM her.

### Funktionsumfang

public static DBM dbDBM(String database_computer, String database_name)

throws

com.sap.dbtech.rte.comm.RTEException

Parameter

Name | Beschreibung
database_computer | Name des Datenbankrechners Um die Verbindung zu einer Datenbankinstanz auf dem lokalen Rechner herzustellen, geben Sie den Wert null an.
database_name | Datenbankname

Ausnahmen

Klasse | Beschreibung
com.sap.dbtech.rte.comm.RTEException | siehe Fehlerbehandlung (Database Manager)

Siehe auch:

Database Manager-Java-Klassen